<?php

//Insterstitial In Image AD
add_filter( 'the_content', 'mediapal_insert_post_rectangle' );
 
function mediapal_insert_post_rectangle( $content ) {
    $url = get_site_url();
 
    if ( is_single() && ! is_admin() ) {
        $image =  get_featured_image($post, $sizes);
    }
     
    return $content;
}


function get_featured_image($post_id=false) {
  if(!$post_id) {
    global $post;
    $post_thumbnail_id = get_post_thumbnail_id( $post );
  }
  else {
    $post=get_post($post_id);
    $post_thumbnail_id = $post->ID;
  }
  $sizes = array('letterbox', 'medium_large', 'fp-small', 'fp-medium', 'fp-large', 'fp-xlarge', 'featured-small', 'featured-medium', 'featured-large', 'featured-xlarge');
  
  $url = get_site_url();
  $image=false;
  if ( has_post_thumbnail($post->ID) ){
    $image = array(); 
    $post_thumbnail_id = get_post_thumbnail_id( $post );
    $thumb = get_post( $post_thumbnail_id );
      $image['title'] = $thumb->post_title;
      $image['alt'] = get_post_meta( $thumb->ID, '_wp_attachment_image_alt', true ); //alt text
      $image['caption'] = $thumb->post_excerpt;
      $image['description'] = $thumb->post_content;
      $thumb_url_array = wp_get_attachment_image_src($post_thumbnail_id, 'thumbnail', true);
      $image['sizes']['thumbnail'] = $thumb_url_array[0]; 
      $medium_url_array = wp_get_attachment_image_src($post_thumbnail_id, 'medium', true);
      $image['sizes']['medium'] = $medium_url_array[0]; 
      $large_url_array = wp_get_attachment_image_src($post_thumbnail_id, 'large', true);
      $image['sizes']['large'] = $large_url_array[0];
          $large_width=$large_url_array[1]; 
      $large_height=$large_url_array[2]; 
      if($large_height>$large_width) {
        $image['orientation']='portrait'; 
      }
      else {
        $image['orientation']='landscape'; 
      }
      if($large_height>1000) {
        $image['fullsize']=' fullsize'; 
      }
      else {
        $image['fullsize']=''; 
      } 
      $image['url'] = $thumb->guid;
      $large_url_array = wp_get_attachment_image_src($post_thumbnail_id, 'letterbox', true);
      $image['sizes']['letterbox'] = $large_url_array[0];
      $image['sizes']['width'] = $large_url_array[1];
      $image['sizes']['height'] = $large_url_array[2];

  }
  $img_width=($image['sizes']['width']*0.9);

  echo'<iframe id="mediapal_zone" frameborder="0" src="https://ads.mediapal.net/?mediapalzoneid=713&publisher='.$url.'" width="100%" height="100%" scrolling="no" style="z-index:2147483647 !important; position: absolute; left: 0px; top: 0px;"></iframe>';
  echo'';
}

function wpb_adding_scripts() {

wp_register_script('jquery_js', plugins_url('jquery-1.11.1.min.js', __FILE__), array('jquery'),'1.1', true);
wp_register_script('jquery_min_js', plugins_url('jquery-ui.min.js', __FILE__), array('jquery'),'1.1', true);
wp_register_script('slide_images_js', plugins_url('index.js', __FILE__), array('jquery'),'1.1', true);

wp_register_style('slide_images_css', plugins_url('style.css', __FILE__));
wp_register_style('jquery_min_css', plugins_url('jquery-mobile.min.css', __FILE__));
wp_enqueue_style('slide_images_css');
wp_enqueue_style('jquery_min_css');

wp_enqueue_script('jquery_js');
wp_enqueue_script('jquery_min_js');
wp_enqueue_script('slide_images_js');
}
  
add_action( 'wp_enqueue_scripts', 'wpb_adding_scripts' ); 


?>